Bug 811188 - [eap6] Running [Reload] operation fails when it is repeatedly invoked
[eap6] Running [Reload] operation fails when it is repeatedly invoked
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: RHQ 4.4.0
Assigned To: Libor Zoubek
Mike Foley
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
Reported: 2012-04-10 07:01 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-01 06:01:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
operation history - reload failures (39.10 KB, image/png)
2012-04-10 07:01 EDT, Libor Zoubek
no flags Details

  None (edit)
Description Libor Zoubek 2012-04-10 07:01:40 EDT
Created attachment 576453 [details]
operation history - reload failures

Description of problem:Running [Reload] operation fails when it is repeatedly invoked - see attached screen shot

Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: c59e6a3
EAP6 ER4.1

How reproducible:random

Steps to Reproduce:
1. Import EAP6 running in standalone mode
2. Invoke 'Reload' operation 4 times in a row
Actual results:

java.lang.Exception: Operation{operation='reload', address=Address{path: }, additionalProperties={}} failed with unknown response code - response body was []., rolled-back=false, rolled-back=false
	at org.rhq.core.pc.operation.OperationInvocation.run(OperationInvocation.java:278)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:636)

Expected results: Operation is successfull

Additional Info: it seems that failures are related with some kind of timeout. When I run reload operation + wait 5 minutes and run it again it never fails. Setting severity to low, since it is probably not a common technique to constantly reload server and a solution may not be possible.
Comment 1 Heiko W. Rupp 2012-04-11 08:17:36 EDT
master 38be55b adds a little delay after the reloads.
Comment 2 Heiko W. Rupp 2013-09-01 06:01:19 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.